// C Source File
// Created 14/04/2003; 20:59:00

#include "mkcomplib.h"

/*===============================================================================================
== Komp compresion
=================================================================================================
== data : data to compress
== length : length of data to compress
== type : filelib type of the data
== temp : boolean false if we create a TI-OS variable (add the "ZIP" tag)
                  true if it's temporary
== error : pointer to return the error code
=================================================================================================
== return the handle of the compressed datas
===============================================================================================*/
CompErr komp_data(unsigned char *data, unsigned short length, unsigned char * dest, unsigned char type) {

  unsigned short * stat=NULL;
  TREE * tree=NULL;
  unsigned short comp_len;
  short offset;
  short nb1;
  short nb2;
  short mode;

  CompErr error;
  
  error=study_komp(data,length,&stat,&tree,&comp_len,&offset,&nb1,&nb2,&mode,TRUE);
  if (error!=COMP_NO_ERR)
    return error;

  return mk_komp(data,length,dest,stat,tree,comp_len,offset,nb1,nb2,mode,type,TRUE);
}

