// C Header File
// Created 14/04/2003; 21:10:08

/*===============================================================================================
== Creation of the caracter stats
=================================================================================================
== stat : table of stat to fill
== data : pointer of data to study
== length : length of data to study
=================================================================================================
== return the number of different caracters
===============================================================================================*/
extern unsigned short mk_stat(unsigned short stat[], unsigned char * data, unsigned short length);

/*===============================================================================================
== Get the bit length of compress datas
=================================================================================================
== nodes : the node structur of the tree
== root : the root position
== stat : table of the caracter stats
=================================================================================================
== return the bit-length of the compressed datas
===============================================================================================*/
extern unsigned long eval_len(TREE tree[], unsigned char nL, unsigned short stat[]);

/*===============================================================================================
== Write the compressed data
=================================================================================================
== data : pointer of the data to compress
== length : length of data to compress
== nodes : NODE structure of the huffmann tree
== root : position of the root
== dest_end : address of the end of writing place
== offset : bit offset of writing
=================================================================================================
== return  if 0 there is a error (it can only be a memory error)
           else 1
===============================================================================================*/
extern char write_comp(unsigned char * data, unsigned short length, TREE tree[], unsigned char * dest_end, short offset);



