// C Source File
// Created 27/07/2003; 12:26:02

#include "mkcomplib.h"

/*===============================================================================================
== Write the errors
=================================================================================================
== error : the error code
== fct_draw : the function which draw the message
== draw : the priority : see DRAW defines
===============================================================================================*/

void DrawCompErrorFR(char error, FctComplib_draw_message fct_draw, char draw) {
  const unsigned char * texts[]={ "Archive ZIP de plus de 1 fichiers non support",
                                  "Les donnes dcompresses sont plus grosses que l'original.",
                                  "Les donnes compresses sont plus grosses que l'original.",
                                  "Type de variable manquant.",
                                  "Donnes non compresse.",
                                  "La variable n'existe pas",
                                  "Impossible de crer de nouvelle variable.",
                                  "Erreur de mmoire.",
                                  "Opration russie !",
                                  "Impossible de rarchiver la variable." };
                          
  
  if (error==COMP_NO_ERR && draw!=DRAW_ALL)
    return;

  if (error==COMP_ERR_CANT_REARCH && draw==DRAW_ERRORS)
    return;
  
  fct_draw(texts[error+NB_COMP_ERR]);

}
