// C Source File
// Created 27/07/2003; 12:25:28

#include "mkcomplib.h"

/*===============================================================================================
== Write the errors
=================================================================================================
== error : the error code
== fct_draw : the function which draw the message
== draw : the priority : see DRAW defines
===============================================================================================*/

void DrawCompErrorGB(char error, FctComplib_draw_message fct_draw, char draw) {
  const unsigned char * texts[]={ "Not supported ZIP archive of more than 1 file",
                                  "The decompressed datas are bigger than the original.",
                                  "The compressed datas are bigger than the original.",
                                  "Must enter a type of variable.",
                                  "they aren't compressed datas.",
                                  "The variable doesn't exist.",
                                  "Can't create a new variable.",
                                  "Memory error.",
                                  "Successfull !",
                                  "Can't rearchive the variable." };
                          
  
  if (error==COMP_NO_ERR && draw!=DRAW_ALL)
    return;

  if (error==COMP_ERR_CANT_REARCH && draw==DRAW_ERRORS)
    return;
  
  fct_draw(texts[error+NB_COMP_ERR]);

}
