// C Source File
// Created 27/07/2003; 12:21:56

#include "mkcomplib.h"

/*===============================================================================================
== Give the sym pointer of the folder of the variable pointed by a sym pointer (Thanks to Kevin
Kofler)
=================================================================================================
== SymPtr : sym pointer of the variable
=================================================================================================
== return the sym pointer of the folder
===============================================================================================*/
SYM_ENTRY * find_Sym_fold(SYM_ENTRY * SymPtr) {
  SYM_ENTRY * symfold;
  HANDLE h;
  symfold=SymFindFirst(NULL,0);
  while (symfold!=NULL) {
    h=symfold->handle;
    if ((unsigned long)HeapDeref(h)>=(unsigned long)SymPtr && (unsigned long)HeapDeref(h)+HeapSize(h)<(unsigned long)SymPtr)
      return symfold;
  }
  return NULL;
}

/* mthode de Kevin :
Ce que tu peux faire, c'est:
* parcourir la VAT avec SymFindFirst et SymFindNext en cherchant les rpertoires seuls (pas les fichiers  l'intrieur)
* pour chaque rpertoire trouv:
- tu lis le handle dans sa structure SYM_ENTRY
- tu regardes si ton pointeur SYM_ENTRY * de dpart se trouve entre HeapDeref(handle) (compris) et HeapDeref(handle)+HeapSize(handle) (strictement).
- si c'est le cas, tu as fini: tu as le SYM_ENTRY * et le handle du rpertoire, donc ne reste plus qu' utiliser MakeHSym
*/
